Gstin Basic Verification
curl --request GET \
--url https://production.deepvue.tech/v1/verification/gstinlite \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/verification/gstinlite"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/verification/gstinlite', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/gstinlite",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/gstinlite"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/verification/gstinlite")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/gstinlite")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1738051954177,
"transaction_id": "09d1a4fd-be05-44f4-a4b6-6c14cf375d1f",
"data": {
"stjCd": "MHCG0660",
"lgnm": "BLUE DART EXPRESS LIMITED",
"stj": "MALAD_WEST_509",
"dty": "Regular",
"adadr": [
{
"addr": {
"bnm": "",
"loc": "ANDHERI-EAST",
"st": "SAHAR ROAD",
"bno": "BLUE DART CENTRE,",
"dst": "Mumbai",
"lt": "",
"locality": "",
"pncd": "400099",
"landMark": "",
"stcd": "Maharashtra",
"geocodelvl": "NA",
"flno": "",
"lg": ""
},
"ntr": "Input Service Distributor (ISD), Retail Business, Service Provision, Recipient of Goods or Services"
}
],
"tradeNam": "BLUE DART EXPRESS LIMITED",
"ctjCd": "VM0301",
"sts": "Active",
"ctj": "RANGE-I",
"einvoiceStatus": "Yes"
}
}GST
GST Basic
Set of APIs that help with GST Registered business verification and onboarding.
GET
/
v1
/
verification
/
gstinlite
Gstin Basic Verification
curl --request GET \
--url https://production.deepvue.tech/v1/verification/gstinlite \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/verification/gstinlite"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/verification/gstinlite', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/gstinlite",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/gstinlite"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/verification/gstinlite")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/gstinlite")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1738051954177,
"transaction_id": "09d1a4fd-be05-44f4-a4b6-6c14cf375d1f",
"data": {
"stjCd": "MHCG0660",
"lgnm": "BLUE DART EXPRESS LIMITED",
"stj": "MALAD_WEST_509",
"dty": "Regular",
"adadr": [
{
"addr": {
"bnm": "",
"loc": "ANDHERI-EAST",
"st": "SAHAR ROAD",
"bno": "BLUE DART CENTRE,",
"dst": "Mumbai",
"lt": "",
"locality": "",
"pncd": "400099",
"landMark": "",
"stcd": "Maharashtra",
"geocodelvl": "NA",
"flno": "",
"lg": ""
},
"ntr": "Input Service Distributor (ISD), Retail Business, Service Provision, Recipient of Goods or Services"
}
],
"tradeNam": "BLUE DART EXPRESS LIMITED",
"ctjCd": "VM0301",
"sts": "Active",
"ctj": "RANGE-I",
"einvoiceStatus": "Yes"
}
}This API takes in the gstin of a business entity and provides you the information of the business entities as registered on the GST Portal.
The GSTIN Basic Verification API provides you the necessary information to verify an entity onboarding onto your workflow. For example, you can cross-check the information provided to you against the information available on the GST Portal using this API.
Authorizations
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Query Parameters
Required query parameter that should be a 15-character alpha-numeric unique identifier assigned to business entities registering under the GST regime.